## org.eclipse.emf.databinding.edit.internal
Class EMFEditMapProperty

    java.lang.Object
      org.eclipse.core.databinding.property.map.MapProperty
          org.eclipse.core.databinding.property.map.SimpleMapProperty
              org.eclipse.emf.databinding.internal.EMFMapProperty
                  org.eclipse.emf.databinding.edit.internal.EMFEditMapProperty

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.map.IMapProperty

    public class EMFEditMapProperty

extends EMFMapProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditMapProperty(EditingDomain editingDomain, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `doSetMap(java.lang.Object source, java.util.Map map, MapDiff diff)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFMapProperty
`adaptListener, doGetMap, getFeature, getKeyType, getValueType, toString`

Methods inherited from class org.eclipse.core.databinding.property.map.SimpleMapProperty
`getMap, observe, setMap`

Methods inherited from class org.eclipse.core.databinding.property.map.MapProperty
`mapFactory, mapFactory, observe, observeDetail, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFEditMapProperty

    public EMFEditMapProperty(EditingDomain editingDomain,
                              EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `eStructuralFeature` -

Method Detail

### doSetMap

    protected void doSetMap(java.lang.Object source,
                            java.util.Map map,
                            MapDiff diff)

  Overrides:
    `doSetMap` in class `EMFMapProperty`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.